audit_receive_filter
Prev | Chapter 13. Audit Interfaces | Next

## Name

audit_receive_filter — apply all rules to the specified message type

## Synopsis

`int audit_receive_filter (` | int | type,
| int | pid,
| int | uid,
| int | seq,
| void * | data,
| size_t | datasz,
| uid_t | loginuid,
| u32 | sid`)`;

## Arguments

`type`

  audit message type

`pid`

  target pid for netlink audit messages

`uid`

  target uid for netlink audit messages

`seq`

  netlink audit message sequence (serial) number

`data`

  payload data

`datasz`

  size of payload data

`loginuid`

  loginuid of sender

`sid`

  SE Linux Security ID of sender

Prev | Up | Next
audit_core_dumps | Home | Chapter 14. Accounting Framework